質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.03%

Xcodeで指定通りのバージョンのSDKでビルドできずエラーが発生する

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,803

yupshion

score 5

Xcodeでビルドを実行しようとした時のエラーです。

Mac OS 10.13.3
Xcode 9.2
を使用しています。

新規プロジェクトから
macOS > Cocoa App
を選び、デフォルトの状態でビルドしようとしたのですが、以下のエラーが出てしまいます。

<unknown>:0: error: Swift does not support the SDK 'MacOSX10.12.sdk'
Command /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/swiftc failed with exit code 1

プロジェクトファイルのInfoの中の、Deployment Targetの項目も、10.13になっていることを確認しました。

どこでMacOSX10.12.sdkを参照しようとしたのか見当がつかず困っています。

【追記(3/13)】
Swiftのバージョンは4.0.3です。
バージョンを確認しようとした所、

Apple Swift version 4.0.3 (swiftlang-900.0.74.1 clang-900.0.39.2)
Target: x86_64-apple-macosx10.9
<unknown>:0: error: Swift does not support the SDK 'MacOSX10.12.sdk'


というエラーが出たため、プロジェクト以前に何らかの設定が間違っているのかもしれません。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • newmt

    2018/03/13 07:15

    念のための確認ですが、クリーンしてからビルドも同じでしょうか?(それで解決したという情報もありましたので)また、使用されているSwiftのバージョンはいくつになりますでしょうか?

    キャンセル

  • yupshion

    2018/03/13 11:24 編集

    コメントありがとうございます。クリーンは何度か試しましたが変化はありませんでした。
    使用しているSwiftのバージョンは4.0.3です。

    (バージョンを確認するコマンドを入力した所、「Apple Swift version 4.0.3 (swiftlang-900.0.74.1 clang-900.0.39.2) Target: x86_64-apple-macosx10.9 <unknown>:0: error: Swift does not support the SDK 'MacOSX10.12.sdk'」というエラーが出たため、プロジェクト以前に何らかの設定が間違っているのかもしれないです。)

    キャンセル

  • newmt

    2018/03/13 12:36 編集

    過去に同じエラーメッセージが出ていて「Build Settings > Swift compiler Code Generation > Optimization Level の項目を Noneにしたら直りました。」というようなことが書かれていたのですが、こちらもすでに実行済でしょうか?あと今のところ思いつくものとしては、XcodeのDerivedDataを削除してみるぐらいですね。。。

    キャンセル

  • yupshion

    2018/03/13 18:34 編集

    ありがとうございます。どちらの項目もやってみたところ、エラーが出なくなりました…!ただ、別の実行ファイルで試したら同様のエラーが出てしまいました…。おそらく手作業で修復できる範囲ではないと思い、Xcodeを再インストールしたところ安定して成功するようになりました。関連ファイルの所在やSettingの項目について知らなかったので、非常に助かりました…!ありがとうございます!

    キャンセル

回答 1

check解決した方法

0

・Build Settings > Swift compiler Code Generation > Optimization Level の項目を None
・XcodeのDerivedDataを削除
で一部プロジェクトでうまくいきました。

最終的に
・Xcodeを再インストール
で完全にエラーが出なくなりました。

何かの拍子にSDKの設定が変わって変更できなくなってしまったようです…。

なんとか解決に至りました。ありがとうございました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.03%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる